# frozen_string_literal: true

require 'neo4j'

# Provide Neo4J Model for VPCs
class Peer
  include Neo4j::ActiveNode
  property :peer_id, constraint: :unique
  has_many :out, :vpc, rel_class: :PeerVpc
end

###############################################################################
# Relationships go below here
###############################################################################
# Provide Neo4J Model for VPC Owners
class PeerVpc
  include Neo4j::ActiveRel
  from_class :Peer
  to_class :Vpc
  type :peered
end

